package com.template.model.seewo;

import java.util.*;
import com.seewo.open.sdk.OpenApiResult;
import com.seewo.open.sdk.HttpResponse;

/**
 * seewo-open API: 【事件考勤】查询班级指定日期的考勤规则列表
 * 【事件考勤】查询班级指定日期的考勤规则列表
 *
 * @author auto create
 * @since 2.0.1 2024-4-19
 */
public class AttendanceRuleListEventByClazzResult extends OpenApiResult {

    public AttendanceRuleListEventByClazzResult(HttpResponse response) {
        super(response);
    }


    /**
     * 响应体，MimeType为 application/json
     */

    private ResponseBody responseBody;


    public ResponseBody getResponseBody() {
        return this.responseBody;
    }

    public void setResponseBody(ResponseBody responseBody) {
        this.responseBody = responseBody;
    }

    public static class ResponseBody {
        /**
         * code
         */
        private String code;
        /**
         * message
         */
        private String message;
        /**
         * data
         */
        private List<DataItem> data;

        public String getCode() {
            return this.code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getMessage() {
            return this.message;
        }

        public void setMessage(String message) {
            this.message = message;
        }

        public List<DataItem> getData() {
            return this.data;
        }

        public void setData(List<DataItem> data) {
            this.data = data;
        }

    }

    public static class DataItem {
        /**
         * ruleId
         */
        private String ruleId;
        /**
         * name
         */
        private String name;
        /**
         * attendType
         */
        private Integer attendType;
        /**
         * lessonIdx
         */
        private Integer lessonIdx;
        /**
         * attendDate
         */
        private String attendDate;
        /**
         * attendStartTime
         */
        private String attendStartTime;
        /**
         * attendLateTime
         */
        private String attendLateTime;
        /**
         * attendEndTime
         */
        private String attendEndTime;

        public String getRuleId() {
            return this.ruleId;
        }

        public void setRuleId(String ruleId) {
            this.ruleId = ruleId;
        }

        public String getName() {
            return this.name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public Integer getAttendType() {
            return this.attendType;
        }

        public void setAttendType(Integer attendType) {
            this.attendType = attendType;
        }

        public Integer getLessonIdx() {
            return this.lessonIdx;
        }

        public void setLessonIdx(Integer lessonIdx) {
            this.lessonIdx = lessonIdx;
        }

        public String getAttendDate() {
            return this.attendDate;
        }

        public void setAttendDate(String attendDate) {
            this.attendDate = attendDate;
        }

        public String getAttendStartTime() {
            return this.attendStartTime;
        }

        public void setAttendStartTime(String attendStartTime) {
            this.attendStartTime = attendStartTime;
        }

        public String getAttendLateTime() {
            return this.attendLateTime;
        }

        public void setAttendLateTime(String attendLateTime) {
            this.attendLateTime = attendLateTime;
        }

        public String getAttendEndTime() {
            return this.attendEndTime;
        }

        public void setAttendEndTime(String attendEndTime) {
            this.attendEndTime = attendEndTime;
        }

    }


}

